=== debian/changelog ===
orthanc-neuro (1.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:05 +1100

orthanc-neuro (1.0-2build3) noble; urgency=medium

  * No-change rebuild against libpng1.6 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:30:01 +0100

orthanc-neuro (1.0-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:47:09 +0000

orthanc-neuro (1.0-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:44:35 +0100

orthanc-neuro (1.0-2) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Wed, 25 Oct 2023 11:46:38 +0000

orthanc-neuro (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #1010210)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Apr 2022 21:48:19 +0200
