=== debian/control ===
Source: orthanc-neuro
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgtest-dev,
               libnifti-dev,
               liborthancframework-dev,
               orthanc-dev (>= 1.10.1),
               unzip,
               uuid-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-neuro
Vcs-Git: https://salsa.debian.org/med-team/orthanc-neuro.git
Homepage: https://book.orthanc-server.com/plugins/neuro.html
Rules-Requires-Root: no

Package: orthanc-neuro
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc
Built-Using: ${orthancframework:Built-Using}
Description: Neuroimaging plugin for Orthanc
 This package installs a plugin for Orthanc, the lightweight, RESTful
 Vendor Neutral Archive for medical imaging. This plugin adds support
 for neuroimaging in Orthanc, notably to easily convert from DICOM to
 NIfTI.
