=== debian/watch ===
version=4
opts="downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-neuro downloads/get\.php\?path=/plugin-neuro/OrthancNeuro-(\d\S*)\.tar\.gz
