## orthanc-neuro 1.1%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Neuroimaging plugin for Orthanc
-# Copyright (C) 2021-2022 Sebastien Jodogne, UCLouvain, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -19,13 +19,13 @@
 
 project(OrthancNeuro)
 
-set(ORTHANC_PLUGIN_VERSION "1.0")
+set(ORTHANC_PLUGIN_VERSION "1.1")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.10.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -76,9 +76,17 @@
   set(ENABLE_GOOGLE_TEST ON)
   set(ENABLE_ZLIB ON)
 
-  set(ENABLE_DCMTK OFF)   # Could be set to "ON" for debugging
-  set(ENABLE_PNG OFF)     # Could be set to "ON" for debugging
-  set(ENABLE_LOCALE OFF)  # Disable support for locales (notably in Boost)
+  if (OFF)
+    # Enable DCMTK for testing on raw DICOM files
+    set(ENABLE_DCMTK ON)
+    set(ENABLE_PNG ON)
+    set(ENABLE_LOCALE ON)
+  else()
+    set(ENABLE_DCMTK OFF)
+    set(ENABLE_PNG OFF)
+    set(ENABLE_LOCALE OFF)
+  endif()
+   
   set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
 
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
@@ -117,8 +125,8 @@
 elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/WindowsResources.py
-    ${ORTHANC_PLUGIN_VERSION} "OrthancNeuro" OrthancNeuro.dll ""
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
+    ${ORTHANC_PLUGIN_VERSION} "Neuroimaging plugin" OrthancNeuro.dll "Neuroimaging plugin for Orthanc"
     ERROR_VARIABLE Failure
     OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
     )
@@ -147,6 +155,11 @@
   ${ORTHANC_CORE_SOURCES}
   )
 
+if (ENABLE_DCMTK)
+  link_libraries(${DCMTK_LIBRARIES})
+  list(APPEND NEURO_SOURCES ${ORTHANC_DICOM_SOURCES})
+endif()
+
 
 add_custom_target(
   AutogeneratedTarget
@@ -188,3 +201,8 @@
   RUNTIME DESTINATION lib    # Destination for Windows
   LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
   )
+
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancNeuro)
+  DefineSourceBasenameForTarget(UnitTests)
+endif()
