=== debian/changelog ===
orthanc-neuro (1.1+dfsg-1ubuntu4) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:50:03 +0000

orthanc-neuro (1.1+dfsg-1ubuntu3) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 11:00:00 +0000

orthanc-neuro (1.1+dfsg-1ubuntu2) oracular; urgency=medium

  * Revert last upload, back in sync with Debian (orthanc fixed instead)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 10:28:56 +0200

orthanc-neuro (1.1+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libdcmtk18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:38:08 +0200

orthanc-neuro (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Mar 2024 13:05:55 +0100
