=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-neuro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
