## orthanc-neuro 1.1+dfsg

=== debian/changelog ===
orthanc-neuro (1.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113374

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 12:34:30 +0200
