=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                orthanc-dev (>= 1.10.1),
                unzip,
                uuid-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-neuro
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-neuro.git
-Homepage: https://book.orthanc-server.com/plugins/neuro.html
+Homepage: https://orthanc.uclouvain.be/book/plugins/neuro.html
 Rules-Requires-Root: no
 
 Package: orthanc-neuro
