=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends: @,
        build-essential,
        cmake,
        debhelper-compat (= 13),
        libgtest-dev,
        libnifti-dev,
        liborthancframework-dev,
        orthanc-dev (>= 1.10.1),
        unzip,
        uuid-dev
